## Interface IStatePersister

Description

IStatePersister class.

This interface must be implemented by all state persister classes (such as TPageStatePersister, TApplicationStatePersister.

- since: 3.0
- version: $Id: interfaces.php 1693 2007-02-13 04:33:05Z xue $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /interfaces.php (line 166)

Method Summary
mixed load ()
void save (mixed $state)
Methods
load (line 172)

Loads state from a persistent storage.

- return: the state
- access: public

mixed load ()
save (line 177)

Saves state into a persistent storage.

- access: public

void save (mixed $state)

- mixed $state: the state to be saved

Documentation generated on Mon, 21 Apr 2008 11:29:23 -0400 by phpDocumentor 1.3.0RC4